Bug 1409875 - [Intel OSP12] BIOS Plugin
Summary: [Intel OSP12] BIOS Plugin
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: collectd
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: beta
: ---
Assignee: Matthias Runge
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks: 1419948 1422243 intel-collectd
TreeView+ depends on / blocked
 
Reported: 2017-01-03 16:55 UTC by damien Power
Modified: 2017-10-13 13:04 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1409814
Environment:
Last Closed: 2017-08-28 13:42:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description damien Power 2017-01-03 16:55:49 UTC
+++ This bug was initially created as a clone of Bug #1409814 +++

1. Feature Overview:
a) Name of feature: BIOS Plugin
b) Feature Description: 
Plugin responsible for retrieving BIOS version, vendor, release date, revision and is extendable for other BIOS information 

2. Feature Details:
a) Architectures:
b) Bugzilla Dependencies:
c) Drivers or hardware dependencies: n/a
d) Upstream acceptance information: Spec and implementation in progress.

e) External links:

f) Severity (H,M,L): M
g) Feature Needed by:

3. Business Justification:
a) Why is this feature needed?
b) What hardware does this enable? n/a
c) Is this hardware on-board in a system (eg, LOM) or an add-on card? No
d) Business impact? n.a
e) Other business drivers:

4. Primary contact at Red Hat, email, phone (chat):

5. Primary contact at Partner, email, phone (chat):
Rob Love
robert.w.love@intel.com

Comment 1 Robert Love 2017-03-16 14:47:09 UTC
Why is the target release changed to OSP 13?

Comment 2 damien Power 2017-03-30 13:28:11 UTC
This plugin is still in implemeentation phase.

Comment 3 Robert Love 2017-04-06 16:38:25 UTC
Note: Not yet upstream, RH concerned about capacity for OSP12, so moving to target Queen release (already done by MariaB).

Comment 4 Matthias Runge 2017-05-19 06:33:34 UTC
Is this bug about https://github.com/collectd/collectd/pull/2000 ?
That pull request has been closed upstream without code merge.

Comment 5 Red Hat Bugzilla Rules Engine 2017-05-19 06:34:18 UTC
This bugzilla has been removed from the release and needs to be reviewed and Triaged for another Target Release.

Comment 6 damien Power 2017-05-24 12:40:05 UTC
No probemn with this comment. 
Investigation into different solution

Comment 7 Aaron Smith 2017-07-17 19:06:39 UTC
Has this plugin added upstream?

Comment 8 Matthias Runge 2017-08-03 06:56:19 UTC
Damien, is there a pull request for this feature upstream? Or is there a tracker to follow?

Comment 9 damien Power 2017-08-28 11:57:56 UTC
Hi Mathias, 
The design/implementation was refused, there is no pull request.

We are reviewing an inventory management solution.

This can be pushed to future release or deleted and I will create a new FR when ready

Comment 10 Matthias Runge 2017-08-28 13:42:45 UTC
Damien, thank you for the update. I'll close this request then.

Comment 11 damien Power 2017-10-13 13:04:48 UTC
This FR should be closed


Note You need to log in before you can comment on or make changes to this bug.